/**
 * Copyright 2006-8 Simon Andrews
 *
 *    This file is part of FRETSaw.
 *
 *    FRETSaw is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    FRETSaw is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with ChIPMonk; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
package uk.ac.bbsrc.babraham.FretSaw.Display;

import java.awt.Color;
import java.awt.Graphics;

import javax.swing.JPanel;

public class LoadingPanel extends JPanel implements Runnable {

	int dotCount = 0;
	
	public LoadingPanel () {
		Thread t = new Thread(this);
		t.start();
	}
		
	public void paint (Graphics g) {
		
		super.paint(g);
		
		g.setColor(Color.RED);
		
		StringBuffer b = new StringBuffer();
		b.append("Working");
		for (int i=0;i<dotCount;i++) {
			b.append(".");
		}
		
		g.drawString(b.toString(), (getWidth()/2)-30, getHeight()/2);
		
	}

	public void run() {

		while (true) {
			dotCount++;
			if (dotCount == 5) dotCount = 0;
			repaint();
			
			try {
				Thread.sleep(500);
			} 
			catch (InterruptedException e) {}
		}
		
	}
	
}
